<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html"/>
	
	<!-- ========== Produce the HTML Document ========== -->
	<xsl:template match="/">
		<html>
			<head><title>Today's Shows</title></head>
			<body>
				<h1>Today's Shows</h1>
				<table cellpadding="3" border="1" cellspacing="0">
					<tr>
						<th>Channel</th>
						<th>From</th>
						<th>To</th>
						<th>Title</th>
					</tr>
					
					<!-- ===== select the shows ===== -->
					<xsl:apply-templates select="schedule/show"/>
				</table>
			</body>
		</html>
	</xsl:template>
	
	<!-- ======== Display each show as a row in the table ======== -->
	<xsl:template match="show">
		<tr>
			<td><xsl:value-of select="channel"/></td>
			<td><xsl:value-of select="from"/></td>
			<td><xsl:value-of select="to"/></td>
			<td><xsl:value-of select="title"/></td>
		</tr>
	</xsl:template>
</xsl:stylesheet>
