<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html"/>
	<xsl:template match="/">
		<table border="1">
			<xsl:apply-templates select="csvFile/line"/>
		</table>
	</xsl:template>
	<xsl:template match="line">
		<tr>
			<xsl:apply-templates select="value"/>
		</tr>
	</xsl:template>
	<xsl:template match="value">
		<td>
			<xsl:if test=".=''">
			<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			</xsl:if>
			<xsl:value-of select="."/>
		</td>
	</xsl:template>
</xsl:stylesheet>
