<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" 
	version="1.0" encoding="UTF-8" indent="yes"
	 doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" 
	 doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>
	
	<xsl:template match="/movies">
		<html>
			<head>
				<title>Welcome to ABC Theaters!</title>
			</head>
			
			<body>
				<h1>Welcome to ABC Theaters!</h1>
				<h3>Please select your city from this list:</h3>
				<ul>
					<xsl:apply-templates select="city"/>
				</ul>
			</body>			
		</html>
	</xsl:template>
	
	<xsl:template match="city">
		<li>
			<a href="movieguide?action=theaters&amp;city={@id}">
				<xsl:value-of select="name"/>
			</a>
		</li>
	</xsl:template>
	
</xsl:stylesheet>
