<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html"/>
	<xsl:attribute-set name="body-style">
		<xsl:attribute name="bgcolor">yellow</xsl:attribute>
		<xsl:attribute name="text">green</xsl:attribute>
		<xsl:attribute name="link">navy</xsl:attribute>
		<xsl:attribute name="vlink">red</xsl:attribute>
	</xsl:attribute-set>
	<xsl:template match="/">
		<html>
			<head>
				<title>Demo of attribute-set</title>
			</head>
			<xsl:element name="body" use-attribute-sets="body-style">
				<h1>Books in my library...</h1>
				<ul>
					<xsl:apply-templates select="library/book"/>
				</ul>
			</xsl:element>
		</html>
	</xsl:template>
	<xsl:template match="book">
		<li>
			<xsl:value-of select="title"/> published in
			<xsl:value-of select="publicationDate/@yy"/>
		</li>
	</xsl:template>

</xsl:stylesheet>
