<?xml version="1.0" encoding="UTF-8"?>
<!--
  *************************************************************
  ** Demonstration of how to include and import other XSLT
  ** stylesheets.
  **********************************************************-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="nameFormatting.xslt"/>
	<xsl:include href="pageElements.xslt"/>

	<xsl:output method="html"/>
	<xsl:template match="/">
		<html>
			<body>
				<!-- Show a standard page heading -->
				<xsl:call-template name="pageHeading">
					<xsl:with-param name="headingText" select="'List of Presidents'"/>
				</xsl:call-template>
				<!-- Show the contents of this page -->
				<ul>
					<xsl:for-each select="presidents/president/name">
						<li>
							<xsl:apply-templates select="." mode="lastFirstMiddle"/>
						</li>
					</xsl:for-each>
				</ul>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
